View Issue Details

IDProjectCategoryView StatusLast Update
0028737FPCRTLpublic2016-09-28 13:55
ReporterSimon Ameis Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.1 
Target Version3.0.2Fixed in Version3.1.1 
Summary0028737: SysUtils.MinCurrency has invalid value
DescriptionSysUtils.MinCurrency as defined in rtl/objpas/sysutils/sysstrh.inc line 42 has the value -922337203685477.5807 but should be -922337203685477.5808.

See also documentation, which has the correct value.
http://www.freepascal.org/docs-html/ref/refsu6.html#x28-310003.1.2
Tagssysutils
Fixed in Revision32727
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0029037 closedMichael Van Canneyt StrToCurr('-922337203685477.5808') raises exception for lowest currency value on Win64 

Activities

Misha Strong

2015-10-11 09:33

reporter   ~0086421

-....5808 IS low(Int64)

Michael Van Canneyt

2015-12-26 16:17

administrator   ~0088274

Fixed the constant.

Issue History

Date Modified Username Field Change
2015-09-27 23:10 Simon Ameis New Issue
2015-09-28 19:44 Simon Ameis Tag Attached: sysutils
2015-09-28 19:44 Simon Ameis Tag Attached: constant
2015-09-28 22:23 Jonas Maebe Tag Detached: constant
2015-10-11 09:33 Misha Strong Note Added: 0086421
2015-11-19 08:32 Jonas Maebe Relationship added has duplicate 0029037
2015-11-19 15:47 Jonas Maebe Relationship replaced related to 0029037
2015-11-22 12:25 Michael Van Canneyt Assigned To => Michael Van Canneyt
2015-11-22 12:25 Michael Van Canneyt Status new => assigned
2015-12-26 16:17 Michael Van Canneyt Fixed in Revision => 32727
2015-12-26 16:17 Michael Van Canneyt Note Added: 0088274
2015-12-26 16:17 Michael Van Canneyt Status assigned => resolved
2015-12-26 16:17 Michael Van Canneyt Fixed in Version => 3.1.1
2015-12-26 16:17 Michael Van Canneyt Resolution open => fixed
2015-12-26 16:17 Michael Van Canneyt Target Version => 3.0.2
2016-09-28 13:55 Simon Ameis Status resolved => closed